petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESSetInitialFunction

Sets the function vector to be used as the function norm at the initialization of the method. In some instances, the user has precomputed the function before calling SNESSolve. This function allows one to avoid a redundant call to SNESComputeFunction in that case.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetInitialFunction(SNES snes, Vec f)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| f | - vector to store function value

### Notes

This should not be modified during the solution procedure.

This is used extensively in the SNESFAS hierarchy and in nonlinear preconditioning.

### Keywords

SNES, nonlinear, set, function

### See Also

SNESSetFunction(), SNESComputeFunction(), SNESSetInitialFunctionNorm()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages